package com.goafanti.weChat.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutPublicDtails  {

	private Integer id;
	@Excel(name = "客户名称")
	private String userName;
	@Excel(name = "公出地点")
	private String districtName;
	@Excel(name = "跟单人")
	private String sname;
	@Excel(name = "公出申请人")
	private String mainName;
	@Excel(name = "公出打卡人")
	private String aname;
	@Excel(name = "协单人")
	private String assistAidName;
	@Excel(name = "公出时长",width = 8)
	private String duration;
	@Excel(name = "状态" ,readConverterExp = "0=驳回，1=待审核，2=同意，3=撤销，4=技术驳回",width = 8)
	private Integer status;
	@Excel(name = "公出开始时间")
	private String releaseStarts;
	@Excel(name = "公出结束时间")
	private String releaseEnds;
	@Excel(name = "打卡状态",readConverterExp = "0=未打卡，1=已打卡，2=异常打卡",width = 8)
	private Integer clockIn;
	@Excel(name = "打卡时间" )
	private String clockInTimes;
	@Excel(name = "创建时间" )
	private String createTimes;
	@Excel(name = "公出类型",readConverterExp = "0=业务公出，1=技术公出，2=行政公出，3=技术协单，4=协单助手",width = 8)
	private Integer type;
	@Excel(name = "公出目标" )
	private String remarks;
	@Excel(name = "公出计划" )
	private String plan;
	@Excel(name = "预计效果" )
	private String expectedEffect;
	@Excel(name = "本次公出目标总结" )
	private String supplement;
	@Excel(name = "下次计划" )
	private String nextPlan;
	@Excel(name = "审核信息" )
	private String auditInfo;
	@Excel(name = "审核时间" )
	private String auditTimes;
	private String annexUrl;
	private String photoUrl;
	@Excel(name = "修改标识",readConverterExp = "0=否，1=是",width = 8)
	private Integer updateStatus;

	private String assistantAid;
	@Excel(name = "协单助手" )
	private String assistantName;
	private Integer assist;
	private Integer objectType;
	@Excel(name = "合同编号" )
	private String contractNo;
	@Excel(name = "订单总金额" ,scale = 6)
	private BigDecimal totalAmout;

	public Integer getObjectType() {
		return objectType;
	}

	public void setObjectType(Integer objectType) {
		this.objectType = objectType;
	}

	public String getContractNo() {
		return contractNo;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public BigDecimal getTotalAmout() {
		return totalAmout;
	}

	public void setTotalAmout(BigDecimal totalAmout) {
		this.totalAmout = totalAmout;
	}

	public String getAuditTimes() {
		return auditTimes;
	}

	public void setAuditTimes(String auditTimes) {
		this.auditTimes = auditTimes;
	}

	public String getAssistantAid() {
		return assistantAid;
	}

	public void setAssistantAid(String assistantAid) {
		this.assistantAid = assistantAid;
	}

	public String getAssistantName() {
		return assistantName;
	}

	public void setAssistantName(String assistantName) {
		this.assistantName = assistantName;
	}

	public Integer getAssist() {
		return assist;
	}

	public void setAssist(Integer assist) {
		this.assist = assist;
	}

	public String getMainName() {
		return mainName;
	}

	public void setMainName(String mainName) {
		this.mainName = mainName;
	}

	public String getAssistAidName() {
		return assistAidName;
	}

	public void setAssistAidName(String assistAidName) {
		this.assistAidName = assistAidName;
	}

	public Integer getUpdateStatus() {
		return updateStatus;
	}

	public void setUpdateStatus(Integer updateStatus) {
		this.updateStatus = updateStatus;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getExpectedEffect() {
		return expectedEffect;
	}

	public void setExpectedEffect(String expectedEffect) {
		this.expectedEffect = expectedEffect;
	}

	public String getNextPlan() {
		return nextPlan;
	}

	public void setNextPlan(String nextPlan) {
		this.nextPlan = nextPlan;
	}

	public String getSname() {
		return sname;
	}

	public void setSname(String sname) {
		this.sname = sname;
	}

	public String getSupplement() {
		return supplement;
	}

	public void setSupplement(String supplement) {
		this.supplement = supplement;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getAuditInfo() {
		return auditInfo;
	}

	public void setAuditInfo(String auditInfo) {
		this.auditInfo = auditInfo;
	}

	public String getCreateTimes() {
		return createTimes;
	}
	public void setCreateTimes(String createTimes) {
		this.createTimes = createTimes;
	}
	public String getClockInTimes() {
		return clockInTimes;
	}
	public void setClockInTimes(String clockInTimes) {
		this.clockInTimes = clockInTimes;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getAname() {
		return aname;
	}
	public void setAname(String aname) {
		this.aname = aname;
	}
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getReleaseStarts() {
		return releaseStarts;
	}
	public void setReleaseStarts(String releaseStarts) {
		this.releaseStarts = releaseStarts;
	}
	public String getReleaseEnds() {
		return releaseEnds;
	}
	public void setReleaseEnds(String releaseEnds) {
		this.releaseEnds = releaseEnds;
	}
	public String getAnnexUrl() {
		return annexUrl;
	}
	public void setAnnexUrl(String annexUrl) {
		this.annexUrl = annexUrl;
	}
	public String getPhotoUrl() {
		return photoUrl;
	}
	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}
	public Integer getClockIn() {
		return clockIn;
	}
	public void setClockIn(Integer clockIn) {
		this.clockIn = clockIn;
	}

}
